%define module prettytable
Name:           python-prettytable
Version:        0.6.1
Release:        %mkrel 3
Summary:        Python library for displaying data in ASCII table format
License:        BSD
Group:          Development/Python
URL:            http://code.google.com/p/prettytable/
Source0:        http://pypi.python.org/packages/source/P/PrettyTable/prettytable-%{version}.tar.bz2
BuildRequires:  python-devel
Buildrequires:	python-setuptools
BuildRequires:  python3-devel
Buildrequires:	python3-setuptools
BuildArch:      noarch

%description
PrettyTable is a simple Python library designed to make
 it quick and easy to represent tabular data in visually
appealing ASCII tables. It was inspired by the ASCII
tables used in the PostgreSQL shell psql. PrettyTable
allows for selection of which columns are to be printed,
independent alignment of columns (left or right justified
or centred) and printing of "sub-tables" by specifying a
row range.

%package -n python3-%{module}
Summary:	Python library to display tabular data in tables
Group:		Development/Python

%description -n python3-%{module}
PrettyTable is a simple Python library designed to make it quick and easy to
represent tabular data in visually appealing ASCII tables. It was inspired by
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for
selection of which columns are to be printed, independent alignment of columns
(left or right justified or centred) and printing of "sub-tables" by specifying
a row range.

%files
%doc README COPYING CHANGELOG
%{python_sitelib}/%{module}.py*
%{python_sitelib}/%{module}-%{version}*

%files -n python3-%{module}
%doc README COPYING CHANGELOG
%{python3_sitelib}/%{module}.py*
%{python3_sitelib}/__pycache__/%{module}*
%{python3_sitelib}/%{module}-%{version}*

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
cp -a . %{py3dir}

%build
CFLAGS="%{optflags}" %{__python} setup.py build
pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd

%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
%{__python} %{module}_test.py

pushd %{py3dir}
%{__python3} %{module}_test.py
popd



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.6.1-3.mga4
+ Revision: 544060
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.1-2.mga4
+ Revision: 499126
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 0.6.1-1.mga4
+ Revision: 497494
- Update to 0.6.1
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.6-2.mga3
+ Revision: 379284
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 0.6-1.mga3
+ Revision: 314195
- New version

* Sun Nov 04 2012 neoclust <neoclust> 0.5-1.mga3
+ Revision: 313593
- imported package python-prettytable


* Wed Jun 08 2011 Antoine Ginies <aginies@mandriva.com> 0.5-1mdv2011.0
+ Revision: 683262
- import python-prettytable


* Wed Jun 8 2011 Antoine Ginies <aginies@mandriva.com> 0.5
- first release for Mandriva 

